// glcode.h
// Declarations for external OpenGL module.  These functions are
// defined in glcode.c and are called appropriately by the CView
// derived classes.
#ifndef __GLCODE__
#define __GLCODE__

#ifdef __cplusplus

extern "C" {

#endif

	void ReduceToUnit(float vector[3]);
	void calcNormal(float v[3][3], float out[3]);

	void GLSetupRC(/*void *pData*/);
	void GLRenderScene(/*void *pData*/);
	void GLResize(GLsizei h, GLsizei w);
	
	void ZoomIn();
	void ZoomOut();
	void KeyUp();
	void KeyDown();
	void KeyLeft();
	void KeyRight();
	void CheckRotateAngle();

#ifdef __cplusplus
	}
#endif


#endif // Include/Define